Get information reports
curl --request GET \
--url https://api.standardmetrics.io/v1/information-reports/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.standardmetrics.io/v1/information-reports/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.standardmetrics.io/v1/information-reports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": "<string>",
"company_id": "<string>",
"information_request_id": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"documents": [
{
"requested_document": "<string>",
"id": "<string>",
"status": "<string>"
}
],
"documents_completed": 123,
"documents_missing": 123,
"metrics": [
{
"id": "<string>",
"date": "<string>",
"name": "<string>",
"status": "<string>",
"time_period": "<string>"
}
],
"metrics_completed": 123,
"metrics_missing": 123,
"status": "<string>"
}
],
"next": "<string>",
"previous": "<string>"
}Information Reports
Get information reports
Retrieve all information reports associated with the firm. Includes submitted documents, metrics, and outstanding requirements.
Permissions:
- User must have VIEWER, ADMIN, or EDITOR role.
GET
/
information-reports
/
Get information reports
Authorizations
Your valid bearer token. All Auth tokens persist for all requests. Make sure to replace Client Credential Basic tokens with Bearer tokens after retrieving your bearer token. Go to the API Reference/Setup, User Guides/Initial Setup, or API Reference/Get API Access Token page to get your token.
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
ID of a company to filter
ID of an Information Request to filter